<template lang="pug">
  section.gallery
    .wrapper
      .gallery__description
        h2.description__title <span class="description__title--outline">Only you know your needs.</span><br>Create something personal
        p.description__description Prefabricated stock photography is generic. Craft photos that are deep and meaningful.
        a.description__button(href="/creator/dashboard")
          span.button__label Create your own story
          .button__icon(v-html="$icons.buttonArrow")
    .gallery__images
      img.images__image(src="../../static/vue-static/gallery.png" data-bottom="left: 0vw;" data-end="left: -15vw;")
</template>

<script>
export default {
  computed: {
    isMobile: function() {
      return (
        typeof window.orientation !== "undefined" ||
        navigator.userAgent.indexOf("IEMobile") !== -1
      );
    }
  },
  mounted: function() {
    this.initSkrollr();
  },
  methods: {
    initSkrollr: function() {
      if (!this.isMobile) {
        skrollr.init();
      }
    }
  }
};
</script>

<style lang="scss" scoped>
.gallery {
  width: 100%;
  height: 100%;
  color: #fff;

  @media (min-width: 576px) {
    margin-top: 56px;
  }

  &__description {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: 400;
    text-align: center;
    margin-bottom: 32px;

    & .description {
      &__title {
        font-weight: 600;
        font-size: 32px;
        letter-spacing: -1px;
        text-transform: uppercase;
        margin-bottom: 24px;

        @media (min-width: 576px) {
          font-size: 40px;
          letter-spacing: -0.03em;
        }

        &--outline {
          color: rgba(255, 255, 255, 0);
          -webkit-text-stroke-width: 1px;
          -webkit-text-stroke-color: #fff;
        }
      }

      &__description {
        margin: 0 auto;
        font-size: 15px;
        line-height: 22px;
        opacity: 0.5;
        margin-bottom: 32px;

        @media (min-width: 576px) {
          width: 60%;
        }
      }

      &__button {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        box-sizing: border-box;
        width: 100%;
        padding: 16px 36px;
        background: #fff;
        font-size: 15px;
        font-weight: 500;
        color: #1a1a1a;
        border-radius: 32px;
        text-decoration: none;
        transition: 0.2s;

        &:hover {
          background: #28b351;
          color: #fff;

          .button__icon {
            fill: #fff;
          }
        }

        @media (min-width: 576px) {
          justify-content: flex-start;
          width: auto;
        }

        & .button {
          &__icon {
            display: inline-block;
            position: relative;
            top: 2px;
            width: 14px;
            height: 20px;
            margin-left: 8px;
            fill: #1a1a1a;
          }
        }
      }
    }
  }

  &__images {
    display: flex;
    position: relative;
    height: calc(50vw);
    overflow-x: scroll;

    @media (min-width: 576px) {
      justify-content: center;
      height: calc(100vw * 0.22);
      overflow: hidden;
    }

    & .images {
      &__image {
        position: absolute;
        top: 0;
        height: 100%;
      }
    }
  }
}

.wrapper {
  position: relative;
  margin: 0 auto;
  padding: 32px 0;
  max-width: 1040px;

  @media (max-width: 1024px) {
    padding: 32px 16px;
  }
}
</style>
